using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using GalaSoft.MvvmLight;
using System.Collections.ObjectModel;
using System.Collections.Generic;

namespace Benday.HyperlinkButtonSample.Presentation
{
    public class HomeViewModel : ViewModelBase
    {
        public HomeViewModel()
        {

        }

        private const string PersonsPropertyName = "Persons";

        private IList<Person> m_persons;
        public IList<Person> Persons
        {
            get
            {
                if (m_persons == null)
                {
                    m_persons = new List<Person>();
                }

                return m_persons;
            }
            set
            {
                m_persons = value;
                RaisePropertyChanged(PersonsPropertyName);
            }
        }

        public void LoadAll()
        {
            PersonRepository.Instance.GetAll(new ReturnResult<IList<Person>>(LoadAllCompleted));
        }

        private void LoadAllCompleted(ReturnResult<IList<Person>> result)
        {
            this.Persons = result.Result;
        }
    }
}
