using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using GalaSoft.MvvmLight;
using System.Collections.ObjectModel;
using System.Collections.Generic;

namespace Benday.HyperlinkButtonSample.Presentation
{
    public class PersonRepository : RepositoryMock<Person>
    {
        // NOTE: in a real system, I wouldn't make PersonRepository a Singleton.
        // For demo purposes, it makes it a lot easier to simulate a persistent repository with a 'static'.
        private static PersonRepository m_instance;

        private PersonRepository()
        {
            Save(new Person("Ben", "Day", "benday@benday.com"), new ReturnResult<Person>());
            Save(new Person("Gigi", "Rosenwinkle", "gigi@couchdestruction.com"), new ReturnResult<Person>());
            Save(new Person("Lucy", "Kattanski", "kattanski@patheticmeow.net"), new ReturnResult<Person>());
            Save(new Person("Ed", "Mustermastersonenkov", "ed@whoanellie.org"), new ReturnResult<Person>());
            Save(new Person("Armando", "Corea", "chick@elektricband.com"), new ReturnResult<Person>());
        }

        public static PersonRepository Instance
        {
            get
            {
                if (m_instance == null)
                {
                    m_instance = new PersonRepository();
                }

                return m_instance;
            }
        }
    }
}
