using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using GalaSoft.MvvmLight;
using System.Collections.ObjectModel;
using System.Collections.Generic;

namespace Benday.HyperlinkButtonSample.Presentation
{
    public static class PresentationUtility
    {
        public static int ParseIdFromUri(Uri value)
        {
            var lastToken = GetLastTokenFromUri(value);

            if (lastToken == null)
            {
                throw new ArgumentException(String.Format("Could not parse Id value from uri '{0}'.", value));
            }
            else
            {
                int id = 0;

                if (Int32.TryParse(lastToken, out id) == false)
                {
                    throw new ArgumentException(String.Format("Id value in uri '{0}' was not an Int32 value.", value));
                }
                else
                {
                    return id;
                }
            }
        }

        public static string GetLastTokenFromUri(Uri value)
        {
            var uriAsString = value.ToString();

            if (uriAsString.Contains("/") == false || uriAsString == "/")
            {
                return null;
            }
            else
            {
                var splitByForwardSlash = uriAsString.Split('/');

                if (splitByForwardSlash.Length == 0)
                {
                    return null;
                }
                else
                {
                    return splitByForwardSlash[splitByForwardSlash.Length - 1];
                }
            }
        }
    }
}
