using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using GalaSoft.MvvmLight;
using System.Collections.ObjectModel;
using System.Collections.Generic;

namespace Benday.HyperlinkButtonSample.Presentation
{
    public class ViewModelCommandBase : ICommand
    {

        public ViewModelCommandBase()
        {

        }

        protected virtual bool OnCanExecute(object parameter)
        {
            return true;
        }

        public bool CanExecute(object parameter)
        {
            return OnCanExecute(parameter);
        }

        public event EventHandler CanExecuteChanged;

        protected void RaiseCanExecuteChanged()
        {
            var handler = CanExecuteChanged;
            if (handler != null)
            {
                handler(this, new EventArgs());
            }
        }

        protected virtual void OnExecute(object parameter)
        {

        }

        public void Execute(object parameter)
        {
            OnExecute(parameter);
        }

    }
}
